window.addEventListener("load", function() {
  function send_next_key_stroke (keystrokes) {
    if (keystrokes.length > 0) {
      console.log("sendKeyStroke: " + keystrokes[0]);
      overwolf.utils.sendKeyStroke(keystrokes[0]);
      // Wait a bit of time before sending the next key stroke.
      // https://discuss.developers.overwolf.com/t/add-api-for-sendkeystrokes/460
      setTimeout(function() {
        send_next_key_stroke(keystrokes.splice(1));
      }, 100);
    }
  }

  document.getElementById("sendKeyStrokeButton").onclick = function() {
    send_next_key_stroke([// Remove existing text field contents
                          "Home",
                          "Shift+End",
                          "Delete",
                          // Insert new text field contents
                          "A",
                          "B",
                          "C"]);
  };
});
